#include "regismodule.h"
#include "message.h"

RegisModule::RegisModule()
{
    voc.load("../../res/vocab.txt");
}

bool RegisModule::messageHandler(Message msg)
{
    if(msg.args.contains("régis"))
    {
        answer = say(voc.getRandNom() + " "
                     + voc.getRandAdjectif() + " "
                     + voc.getRandVerbe() + " "
                     + voc.getRandNom() + ".");
        return true;
    }

    return false;
}

QString RegisModule::getName()
{
    return "regis";
}
