#ifndef TODOMODULE_H
#define TODOMODULE_H

#include "module.h"
#include <QString>
#include <vector>

class TodoModule : public Module
{
    typedef struct s_task
    {
        unsigned long date;
        unsigned long repeat;
        QString description;
        QString emitter;
        QString recipient;
        bool isPrivate;
    } Task;

    std::vector<Task> tasks;

    enum {TODO, DURATION, DATE};
    QString usage(int);

public:
    TodoModule();

    virtual bool messageHandler(Message msg);
    virtual QString getName() {return "todo";}
};

#endif // TODOMODULE_H
