#ifndef VOCAB_H
#define VOCAB_H

#include <vector>
#include <QString>

class Vocab
{
    std::vector<QString> noms;
    std::vector<QString> verbes;
    std::vector<QString> adjectifs;
public:
    Vocab();
    Vocab(QString filename);
    void load(QString filename);
    void save(QString filename);
    void append(Vocab& voc);

    void addNom(QString nom);
    void addAdjectif(QString adj);
    void addVerbe(QString ver);

    QString getRandNom();
    QString getRandAdjectif();
    QString getRandVerbe();
};

#endif // VOCAB_H
