#ifndef BASEMODULE_H
#define BASEMODULE_H

#include "module.h"
#include "user.h"

class BaseModule : public Module
{
    UserList* users;

    enum{OFFLINE, ONLINE, ON_CHAN};
    int status;

    bool onChanHandler(Message msg);
public:
    BaseModule();
    ~BaseModule();
    UserList* getUserList();
    bool messageHandler(Message msg);
    QString getName();
};

#endif // BASEMODULE_H
