#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QTextBrowser>
#include "prompt.h"

MainWindow::MainWindow(const QString &myChan, QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    ui->simplePrompt->setChan(myChan);
}

Console* MainWindow::getAdvancedConsole()
{
    return this->ui->advancedConsole;
}

Prompt* MainWindow::getAdvancedPrompt()
{
    return this->ui->advancedPrompt;
}

Console* MainWindow::getSimpleConsole()
{
    return this->ui->simpleConsole;
}

Prompt* MainWindow::getSimplePrompt()
{
    return this->ui->simplePrompt;
}

MainWindow::~MainWindow()
{
    delete ui;
}
