#ifndef PROMPT_H
#define PROMPT_H

#include <QLineEdit>

class Prompt : public QLineEdit
{
    Q_OBJECT

    QString chan;
public:
    Prompt(QWidget*& w) : QLineEdit(w), chan("epicsparrow") {}

    void setChan(const QString& myChan);

public slots:
    void advancedConfirmationPerformed();
    void simpleConfirmationPerformed();

signals:
    void sendMsg(QString);
};

#endif // PROMPT_H
