#include "botapp.h"
#include "module.h"
#include "message.h"
#include "basemodule.h"
#include "regismodule.h"
#include "sparrowmodule.h"
#include "poilaumodule.h"
#include "fourasmodule.h"
#include "todomodule.h"

class HelloWorldModule : public Module
{
public :
    HelloWorldModule() : Module() {}

    virtual bool messageHandler(Message msg)
    {
        if(msg.args.compare("plop ?") == 0)
        {
            answer = say("coucou " + msg.nick);
            return true;
        }
        return false;
    }

    virtual QString getName()
    {
        return "helloworld";
    }
};

int main(int argc, char *argv[])
{
    BotApp app = BotApp(argc, argv);
    //app.addModule(new HelloWorldModule());
    app.addModule(new RegisModule());
    app.addModule(new SparrowModule());
    app.addModule(new PoilAuModule());
    app.addModule(new FourasModule());
    //app.addModule(new TodoModule());
    return app.exec();
}
