#ifndef BOTAPP_H
#define BOTAPP_H

#include <QApplication>

class Module;
class IRCBot;
class SocketIRC;
class MainWindow;

class BotApp
{
    bool nogui;
    SocketIRC* sock;
    IRCBot* bot;
    QCoreApplication* coreApp;
    MainWindow* window;

public:
    BotApp(int argc, char** argv);
    void addModule(Module* module);
    ~BotApp();
    int exec();
};

#endif // BOTAPP_H
