#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

class Prompt;
class Console;
class QTextBrowser;
namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(const QString &myChan, QWidget *parent = 0);
    ~MainWindow();

    Console* getAdvancedConsole();
    Prompt* getAdvancedPrompt();
    Console* getSimpleConsole();
    Prompt* getSimplePrompt();
private:
    Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
