#include "prompt.h"

void Prompt::setChan(const QString& myChan)
{
    chan = myChan;
}

void Prompt::advancedConfirmationPerformed()
{
    QString str = text();
    clear();
    emit sendMsg(str.append("\r\n"));
}

void Prompt::simpleConfirmationPerformed()
{
    QString str = QString("PRIVMSG #%1 :%2\r\n").arg(chan).arg(text());
    clear();
    emit sendMsg(str);
}
