#ifndef USER_H
#define USER_H

#include <QString>
#include <vector>

class User
{
    QString nick;
    bool op;

public:
    User(QString str);
    void rename(QString newNick);
    QString getNick();
    bool isOp();
    void setOp(bool newStatus);
};

class UserList : public std::vector<User*>
{
public:
    User* getOrAdd(QString nick);
    User* getFromNick(QString nick);
    void remove(User* user);
};

#endif // USER_H
